export class Transcription {
    response;
    constructor(response) {
        this.response = response;
    }
    get text() {
        return this.response.text;
    }
    get model() {
        return this.response.model;
    }
    get segments() {
        return this.response.segments || [];
    }
    get duration() {
        return this.response.duration;
    }
    toString() {
        return this.text;
    }
}
